<?php
/**
 * @package merchant
 *
 * @author xaboy
 * @day 2020/6/2
 *
 * 
 */

namespace app\common\model\user;

use app\common\model\BaseModel;

/**
 * 用户线下充值
 * Class UserOfflineRecharge
 * @package app\common\model\user
 * @author php迷途小书童
 * @created 2021/1/30 15:57
 */
class UserOfflineRecharge extends BaseModel
{

    /**
     * @return string|null
     * @author xaboy
     * @day 2020/6/2
     */
    public static function tablePk(): ?string
    {
        return 'offline_recharge_id';
    }

    /**
     * @return string
     * @author xaboy
     * @day 2020/6/2
     */
    public static function tableName(): string
    {
        return 'user_offline_recharge';
    }

    public function user()
    {
        return $this->hasOne(User::class, 'uid', 'uid');
    }

}